%define name	blacsmpi-devel	
%define	version 1.1
%define release	5mdk
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	Blacsmpi Basic Linear Algebra Communication Subprograms
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.netlib.org/blacs/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-patch03.tar.bz2
Patch0: 	%name-Bmake.in.patch.bz2
Requires:	libmpich-devel
Provides:	%{name}-%{version}
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The BLACS (Basic Linear Algebra Communication Subprograms) project
is an ongoing investigation whose purpose is to create a linear 
algebra oriented message passing interface that may be implemented 
efficiently and uniformly across a large range of distributed memory 
platforms.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
cd $RPM_BUILD_DIR
tar xvfj %{SOURCE1}

%patch0 -p 0

%build

cp $RPM_BUILD_DIR/%{name}-%{version}/BMAKES/Bmake.MPI-LINUX $RPM_BUILD_DIR/%{name}-%{version}/Bmake.inc

make mpi

%install
mkdir -p %{buildroot}/%_libdir/%{name}-%{version}
mkdir -p %{buildroot}/%_includedir


cp LIB/blacsCinit_MPI-LINUX-0.a %{buildroot}/usr/lib/%{name}-%{version}/blacsCinit_MPI-LINUX-0.a
cp LIB/blacsF77init_MPI-LINUX-0.a %{buildroot}/usr/lib/%{name}-%{version}/blacsF77init_MPI-LINUX-0.a
cp LIB/blacs_MPI-LINUX-0.a %{buildroot}/usr/lib/%{name}-%{version}/blacs_MPI-LINUX-0.a
cp SRC/MPI/Bconfig.h %{buildroot}/usr/include/Bconfig.h
cp SRC/MPI/Bdef.h %{buildroot}/usr/include/Bdef.h

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README
%{_libdir}/%{name}-%{version}/blacsCinit_MPI-LINUX-0.a
%{_libdir}/%{name}-%{version}/blacsF77init_MPI-LINUX-0.a
%{_libdir}/%{name}-%{version}/blacs_MPI-LINUX-0.a
%_includedir/Bdef.h
%_includedir/Bconfig.h

%changelog
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-5mdk
- build with gcc 3.2
* Sun Jul 07 2002 Erwan Velu <erwan@mandrakesoft.com> 1.1-4mdk
- Rebuild
* Wed Jun 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-3mdk
- clean patch0
- use %%setup
- use more paths macros

* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-2mdk
- integrate mpi patch03 
* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1-1mdk
- first release for Mandrakesoft
